.pt-0 {
  padding-top: 0;
}

.pb-0 {
  padding-bottom: 0;
}

.m-1 {
  margin: 1rem;
}

.m-2 {
  margin: 1.2rem;
}

.m-3 {
  margin: 1.44rem;
}

.m-4 {
  margin: 1.8rem;
}

.m-5 {
  margin: 2.16rem;
}

.mr-1 {
  margin-right: 1rem;
}

.mr-2 {
  margin-right: 1.2rem;
}

.mr-3 {
  margin-right: 1.44rem;
}

.mr-4 {
  margin-right: 1.8rem;
}

.mr-5 {
  margin-right: 2.16rem;
}

.ml-1 {
  margin-left: 1rem;
}

.ml-2 {
  margin-left: 1.2rem;
}

.ml-3 {
  margin-left: 1.44rem;
}

.ml-4 {
  margin-left: 1.8rem;
}

.ml-5 {
  margin-left: 2.16rem;
}

.mt-1 {
  margin-top: 1rem;
}

.mt-2 {
  margin-top: 1.2rem;
}

.mt-3 {
  margin-top: 1.44rem;
}

.mt-4 {
  margin-top: 1.8rem;
}

.mt-5 {
  margin-top: 2.16rem;
}

.mb-1 {
  margin-bottom: 1rem;
}

.mb-2 {
  margin-bottom: 1.2rem;
}

.mb-3 {
  margin-bottom: 1.44rem;
}

.mb-4 {
  margin-bottom: 1.8rem;
}

.mb-5 {
  margin-bottom: 2.16rem;
}

@media (min-width: 576px) {
  .m-sm-1 {
    margin: 1rem;
  }
  .m-sm-2 {
    margin: 1.2rem;
  }
  .m-sm-3 {
    margin: 1.44rem;
  }
  .m-sm-4 {
    margin: 1.8rem;
  }
  .m-sm-5 {
    margin: 2.16rem;
  }
  .ml-sm-1 {
    margin-left: 1rem;
  }
  .ml-sm-2 {
    margin-left: 1.2rem;
  }
  .ml-sm-3 {
    margin-left: 1.44rem;
  }
  .ml-sm-4 {
    margin-left: 1.8rem;
  }
  .ml-sm-5 {
    margin-left: 2.16rem;
  }
  .mr-sm-1 {
    margin-right: 1rem;
  }
  .mr-sm-2 {
    margin-right: 1.2rem;
  }
  .mr-sm-3 {
    margin-right: 1.44rem;
  }
  .mr-sm-4 {
    margin-right: 1.8rem;
  }
  .mr-sm-5 {
    margin-right: 2.16rem;
  }
  .mt-sm-1 {
    margin-top: 1rem;
  }
  .mt-sm-2 {
    margin-top: 1.2rem;
  }
  .mt-sm-3 {
    margin-top: 1.44rem;
  }
  .mt-sm-4 {
    margin-top: 1.8rem;
  }
  .mt-sm-5 {
    margin-top: 2.16rem;
  }
  .mb-sm-1 {
    margin-bottom: 1rem;
  }
  .mb-sm-2 {
    margin-bottom: 1.2rem;
  }
  .mb-sm-3 {
    margin-bottom: 1.44rem;
  }
  .mb-sm-4 {
    margin-bottom: 1.8rem;
  }
  .mb-sm-5 {
    margin-bottom: 2.16rem;
  }
}

@media (min-width: 768px) {
  .m-md-0 {
    margin: 0;
  }
  .m-md-1 {
    margin: 1rem;
  }
  .m-md-2 {
    margin: 1.2rem;
  }
  .m-md-3 {
    margin: 1.44rem;
  }
  .m-md-4 {
    margin: 1.8rem;
  }
  .m-md-5 {
    margin: 2.16rem;
  }
  .ml-md-0 {
    margin-left: 0;
  }
  .ml-md-1 {
    margin-left: 1rem;
  }
  .ml-md-2 {
    margin-left: 1.2rem;
  }
  .ml-md-3 {
    margin-left: 1.44rem;
  }
  .ml-md-4 {
    margin-left: 1.8rem;
  }
  .ml-md-5 {
    margin-left: 2.16rem;
  }
  .mr-md-0 {
    margin-right: 0;
  }
  .mr-md-1 {
    margin-right: 1rem;
  }
  .mr-md-2 {
    margin-right: 1.2rem;
  }
  .mr-md-3 {
    margin-right: 1.44rem;
  }
  .mr-md-4 {
    margin-right: 1.8rem;
  }
  .mr-md-5 {
    margin-right: 2.16rem;
  }
  .mt-md-0 {
    margin-top: 0;
  }
  .mt-md-1 {
    margin-top: 1rem;
  }
  .mt-md-2 {
    margin-top: 1.2rem;
  }
  .mt-md-3 {
    margin-top: 1.44rem;
  }
  .mt-md-4 {
    margin-top: 1.8rem;
  }
  .mt-md-5 {
    margin-top: 2.16rem;
  }
  .mb-md-0 {
    margin-bottom: 0;
  }
  .mb-md-1 {
    margin-bottom: 1rem;
  }
  .mb-md-2 {
    margin-bottom: 1.2rem;
  }
  .mb-md-3 {
    margin-bottom: 1.44rem;
  }
  .mb-md-4 {
    margin-bottom: 1.8rem;
  }
  .mb-md-5 {
    margin-bottom: 2.16rem;
  }
}

@media (min-width: 992px) {
  .m-lg-1 {
    margin: 1rem;
  }
  .m-lg-2 {
    margin: 1.2rem;
  }
  .m-lg-3 {
    margin: 1.44rem;
  }
  .m-lg-4 {
    margin: 1.8rem;
  }
  .m-lg-5 {
    margin: 2.16rem;
  }
  .ml-lg-1 {
    margin-left: 1rem;
  }
  .ml-lg-2 {
    margin-left: 1.2rem;
  }
  .ml-lg-3 {
    margin-left: 1.44rem;
  }
  .ml-lg-4 {
    margin-left: 1.8rem;
  }
  .ml-lg-5 {
    margin-left: 2.16rem;
  }
  .mr-lg-1 {
    margin-right: 1rem;
  }
  .mr-lg-2 {
    margin-right: 1.2rem;
  }
  .mr-lg-3 {
    margin-right: 1.44rem;
  }
  .mr-lg-4 {
    margin-right: 1.8rem;
  }
  .mr-lg-5 {
    margin-right: 2.16rem;
  }
  .mt-lg-1 {
    margin-top: 1rem;
  }
  .mt-lg-2 {
    margin-top: 1.2rem;
  }
  .mt-lg-3 {
    margin-top: 1.44rem;
  }
  .mt-lg-4 {
    margin-top: 1.8rem;
  }
  .mt-lg-5 {
    margin-top: 2.16rem;
  }
  .mb-lg-1 {
    margin-bottom: 1rem;
  }
  .mb-lg-2 {
    margin-bottom: 1.2rem;
  }
  .mb-lg-3 {
    margin-bottom: 1.44rem;
  }
  .mb-lg-4 {
    margin-bottom: 1.8rem;
  }
  .mb-lg-5 {
    margin-bottom: 2.16rem;
  }
}

@media (min-width: 1200px) {
  .m-xl-1 {
    margin: 1rem;
  }
  .m-xl-2 {
    margin: 1.2rem;
  }
  .m-xl-3 {
    margin: 1.44rem;
  }
  .m-xl-4 {
    margin: 1.8rem;
  }
  .m-xl-5 {
    margin: 2.16rem;
  }
  .ml-xl-1 {
    margin-left: 1rem;
  }
  .ml-xl-2 {
    margin-left: 1.2rem;
  }
  .ml-xl-3 {
    margin-left: 1.44rem;
  }
  .ml-xl-4 {
    margin-left: 1.8rem;
  }
  .ml-xl-5 {
    margin-left: 2.16rem;
  }
  .mr-xl-1 {
    margin-right: 1rem;
  }
  .mr-xl-2 {
    margin-right: 1.2rem;
  }
  .mr-xl-3 {
    margin-right: 1.44rem;
  }
  .mr-xl-4 {
    margin-right: 1.8rem;
  }
  .mr-xl-5 {
    margin-right: 2.16rem;
  }
  .mt-xl-1 {
    margin-top: 1rem;
  }
  .mt-xl-2 {
    margin-top: 1.2rem;
  }
  .mt-xl-3 {
    margin-top: 1.44rem;
  }
  .mt-xl-4 {
    margin-top: 1.8rem;
  }
  .mt-xl-5 {
    margin-top: 2.16rem;
  }
  .mb-xl-1 {
    margin-bottom: 1rem;
  }
  .mb-xl-2 {
    margin-bottom: 1.2rem;
  }
  .mb-xl-3 {
    margin-bottom: 1.44rem;
  }
  .mb-xl-4 {
    margin-bottom: 1.8rem;
  }
  .mb-xl-5 {
    margin-bottom: 2.16rem;
  }
}
